package card_info_jd

import (
	"context"
	"kami/internal/service"

	"kami/api/card_info_jd/v1"
)

func (c *ControllerV1) OrderHistory(ctx context.Context, req *v1.OrderHistoryReq) (res *v1.OrderHistoryRes, err error) {
	_, data, err := service.CardRedeemOrder().GetOrderDetail(ctx, req.OrderNo)
	res = &v1.OrderHistoryRes{}
	res.List = data
	return
}
